Package org.globus.axis.transport.commons

# Class CommonsSocketFactory

java.lang.Object
org.globus.axis.transport.commons.CommonsSocketFactory

All Implemented Interfaces:
  `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`

public class CommonsSocketFactory extends Object implements org.apache.commons.httpclient.protocol.ProtocolSocketFactory

## Constructor Summary

Constructors
Constructor
Description
`CommonsSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String host, int port)`
`Socket`
`createSocket(String host, int port, InetAddress localAddress, int localPort)`
`Socket`
`createSocket(String host, int port, InetAddress localAddress, int localPort, org.apache.commons.httpclient.params.HttpConnectionParams params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommonsSocketFactory

public CommonsSocketFactory()

## Method Details

### createSocket

public Socket createSocket(String host, int port, InetAddress localAddress, int localPort) throws IOException, UnknownHostException

Specified by:
  `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
Throws:
  `IOException`
  `UnknownHostException`

### createSocket

public Socket createSocket(String host, int port) throws IOException, UnknownHostException

Specified by:
  `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
Throws:
  `IOException`
  `UnknownHostException`

### createSocket

public Socket createSocket(String host, int port, InetAddress localAddress, int localPort, org.apache.commons.httpclient.params.HttpConnectionParams params) throws IOException, UnknownHostException, org.apache.commons.httpclient.ConnectTimeoutException

Specified by:
  `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
Throws:
  `IOException`
  `UnknownHostException`
  `org.apache.commons.httpclient.ConnectTimeoutException`